'use strict';
Object.defineProperty(exports, "__esModule", { value: true });
const lodash_1 = require("lodash");
const random_1_2_3_1 = require("./random.1.2.3");
const weighted_cuts_1 = require("./weighted.cuts");
const humanShuffle = (cards) => {
    const left = cards.splice(0, (0, lodash_1.sample)(weighted_cuts_1.default));
    const right = (0, lodash_1.clone)(cards);
    cards = [];
    while (!(0, lodash_1.isEmpty)((0, lodash_1.concat)(left, right))) {
        cards = (0, lodash_1.isEmpty)(left) ? cards : cards.concat(left.splice(0, (0, random_1_2_3_1.default)()));
        cards = (0, lodash_1.isEmpty)(right) ? cards : cards.concat(right.splice(0, (0, random_1_2_3_1.default)()));
    }
    return cards;
};
exports.default = humanShuffle;
//# sourceMappingURL=human.shuffle.js.map