'use strict';
Object.defineProperty(exports, "__esModule", { value: true });
const lodash_1 = require("lodash");
const simpleShuffle = (cards) => {
    const left = cards.splice(0, (0, lodash_1.random)(1, 9));
    const right = (0, lodash_1.clone)(cards);
    let front = true;
    cards = left;
    while (!(0, lodash_1.isEmpty)(right)) {
        const cut = (0, lodash_1.min)([(0, lodash_1.random)(1, 9), (0, lodash_1.size)(right)]);
        const swap1 = right.splice(0, cut);
        cards = front ? swap1.concat(cards) : cards.concat(swap1);
        front = !front;
    }
    return cards;
};
exports.default = simpleShuffle;
//# sourceMappingURL=simple.shuffle.js.map