'use strict';
Object.defineProperty(exports, "__esModule", { value: true });
const lodash_1 = require("lodash");
const spread_suits_1 = require("./spread.suits");
const is_red_sorting_1 = require("./is.red.sorting");
const is_reverse_sorting_1 = require("./is.reverse.sorting");
const sort2suits = (cards, sorting) => {
    const reversed = (0, is_reverse_sorting_1.default)(sorting);
    const { spade, diamond, heart, club } = (0, spread_suits_1.default)(cards, reversed);
    const red = (0, lodash_1.concat)(diamond, heart);
    const black = (0, lodash_1.concat)(spade, club);
    cards = (0, is_red_sorting_1.default)(sorting) ? (0, lodash_1.concat)(red, black) : (0, lodash_1.concat)(black, red);
    return cards;
};
exports.default = sort2suits;
//# sourceMappingURL=sort.2.suits.js.map