'use strict';
Object.defineProperty(exports, "__esModule", { value: true });
const count_suits_1 = require("./count.suits");
const sort_2_suits_1 = require("./sort.2.suits");
const sort_3_suits_1 = require("./sort.3.suits");
const sort_4_suits_1 = require("./sort.4.suits");
const sort_by_suits_1 = require("./sort.by.suits");
const is_reverse_sorting_1 = require("./is.reverse.sorting");
const sortCards = (cards, sorting) => {
    const reversed = (0, is_reverse_sorting_1.default)(sorting);
    const suits = (0, count_suits_1.default)(cards);
    if (suits === 2)
        return (0, sort_2_suits_1.default)(cards, sorting);
    else if (suits === 3)
        return (0, sort_3_suits_1.default)(cards, sorting);
    else if (suits === 4)
        return (0, sort_4_suits_1.default)(cards, sorting);
    else
        return (0, sort_by_suits_1.default)(cards, reversed);
};
exports.default = sortCards;
//# sourceMappingURL=sort.cards.js.map