'use strict';
Object.defineProperty(exports, "__esModule", { value: true });
const pref_deck_suit_1 = require("../../enums/pref.deck.suit");
const pref_deck_trump_1 = require("../../enums/pref.deck.trump");
const convertTrumpToSuit = (trump) => {
    if (!trump)
        return undefined;
    switch (trump) {
        case pref_deck_trump_1.default.SPADE:
            return pref_deck_suit_1.default.SPADE;
        case pref_deck_trump_1.default.DIAMOND:
            return pref_deck_suit_1.default.DIAMOND;
        case pref_deck_trump_1.default.HEART:
            return pref_deck_suit_1.default.HEART;
        case pref_deck_trump_1.default.CLUB:
            return pref_deck_suit_1.default.CLUB;
    }
};
exports.default = convertTrumpToSuit;
//# sourceMappingURL=convert.trump.to.suit.js.map