import PrefDeckCard from './pref.deck.card';
import PrefDeckPile from './pref.deck.pile';
import PrefDeckTrick from './pref.deck.trick';
import PrefDeckSuit from './enums/pref.deck.suit';
import PrefDeckValue from './enums/pref.deck.value';
import PrefDeckSorting from './enums/pref.deck.sorting';
import PrefDeckDealType from './types/pref.deck.deal.type';
import PrefDeckTalonType from './types/pref.deck.talon.type';
export { PrefDeckCard, PrefDeckPile, PrefDeckTrick, PrefDeckSuit, PrefDeckValue, PrefDeckSorting, PrefDeckTalonType, PrefDeckDealType };
export default class PrefDeck extends PrefDeckPile {
    constructor();
    restore(cards: PrefDeckCard[]): PrefDeck;
    get cut(): PrefDeck;
    get shuffle(): PrefDeck;
    get valid(): boolean;
    get deal(): PrefDeckDealType;
}
