import PrefDeckCard from './pref.deck.card';
import PrefDeckSorting from './enums/pref.deck.sorting';
export default class PrefDeckPile {
    protected _cards: PrefDeckCard[];
    private readonly _original;
    constructor(cards: PrefDeckCard[]);
    sort(sorting?: PrefDeckSorting): PrefDeckPile;
    get cards(): PrefDeckCard[];
    get label(): string;
    get unicode(): string;
    get ppn(): string;
    get original(): PrefDeckCard[];
    get originalLabel(): string;
    get originalUnicode(): string;
    get originalPPN(): string;
}
