import PrefDeckCard from './pref.deck.Card';
import PrefDeckSuit from './enums/pref.deck.suit';
export default class PrefDeckTrick {
    private readonly _players;
    private readonly _trump;
    private _first;
    private _second;
    private _third;
    private _winner;
    constructor(players: 2 | 3, trumpSuit?: PrefDeckSuit);
    throw(player: 'p1' | 'p2' | 'p3', card: PrefDeckCard): PrefDeckTrick;
    get first(): PrefDeckCard | null;
    get second(): PrefDeckCard | null;
    get third(): PrefDeckCard | null;
    get suit(): PrefDeckSuit | undefined;
    get winner(): 'p1' | 'p2' | 'p3';
    get ppn(): string;
    get json(): any;
    get string(): string;
    get full(): boolean;
    private _calculateWinner;
}
