'use strict';
Object.defineProperty(exports, "__esModule", { value: true });
const lodash_1 = require("lodash");
const spread_suits_1 = require("./spread.suits");
const is_black_sorting_1 = require("./is.black.sorting");
const is_reverse_sorting_1 = require("./is.reverse.sorting");
const sort4suits = (cards, sorting) => {
    const reversed = (0, is_reverse_sorting_1.default)(sorting);
    const { spade, diamond, heart, club } = (0, spread_suits_1.default)(cards, reversed);
    if ((0, is_black_sorting_1.default)(sorting))
        return (0, lodash_1.concat)(spade, diamond, club, heart);
    return (0, lodash_1.concat)(diamond, spade, heart, club);
};
exports.default = sort4suits;
//# sourceMappingURL=sort.4.suits.js.map