'use strict';
Object.defineProperty(exports, "__esModule", { value: true });
const sort_suit_1 = require("./sort.suit");
const get_cards_of_suit_1 = require("./get.cards.of.suit");
const pref_deck_suit_1 = require("../../enums/pref.deck.suit");
const spreadSuits = (cards, reversed) => ({
    spade: (0, sort_suit_1.default)((0, get_cards_of_suit_1.default)(cards, pref_deck_suit_1.default.SPADE), reversed),
    diamond: (0, sort_suit_1.default)((0, get_cards_of_suit_1.default)(cards, pref_deck_suit_1.default.DIAMOND), reversed),
    heart: (0, sort_suit_1.default)((0, get_cards_of_suit_1.default)(cards, pref_deck_suit_1.default.HEART), reversed),
    club: (0, sort_suit_1.default)((0, get_cards_of_suit_1.default)(cards, pref_deck_suit_1.default.CLUB), reversed)
});
exports.default = spreadSuits;
//# sourceMappingURL=spread.suits.js.map